> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/security-testing-agent-apis/security-testing-orchestration/pull-requests.md).

# Pull Requests

Access and Modify Pull Requests

## GET /api/v2/pull-requests/repositories

>

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Pull Requests","description":"Access and Modify Pull Requests"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"PullRequestsListPullRequestsResponseBody":{"$ref":"#/components/schemas/ListPullRequestsResult"},"ListPullRequestsResult":{"type":"object","properties":{"pullRequests":{"type":"array","items":{"$ref":"#/components/schemas/PullRequestResult"},"description":"The list of Pull Requests"}},"required":["pullRequests"]},"PullRequestResult":{"type":"object","properties":{"commentUrl":{"type":"string","description":"Direct URL to the suggestion comment (returned by UpdatePullRequest)"},"pullRequestNumber":{"type":"integer","description":"The number of the Pull Request","format":"int64"},"pullRequestUrl":{"type":"string","description":"The URL of the Pull Request"},"sourceBranch":{"type":"string","description":"The source branch of the Pull Request"}},"required":["sourceBranch","pullRequestNumber","pullRequestUrl"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/pull-requests/repositories":{"get":{"operationId":"Pull Requests#ListPullRequests","parameters":[{"allowEmptyValue":true,"description":"Harness Account ID","in":"query","name":"accountId","required":true,"schema":{"description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Organization ID","in":"query","name":"orgId","schema":{"description":"Harness Organization ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Project ID","in":"query","name":"projectId","schema":{"description":"Harness Project ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"allowEmptyValue":true,"in":"query","name":"provider","required":true,"schema":{"type":"string"}},{"allowEmptyValue":true,"in":"query","name":"repositoryPath","required":true,"schema":{"type":"string"}},{"allowEmptyValue":true,"description":"Harness personal or service access token","in":"header","name":"X-Api-Key","schema":{"description":"Harness personal or service access token","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PullRequestsListPullRequestsResponseBody"}}},"description":"OK response."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"BadRequest: Bad Request response."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Unauthorized: Unauthorized response."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Forbidden: Forbidden response."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"TooManyRequests: Too Many Requests response."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"InternalServerError: Internal Server Error response."}},"tags":["Pull Requests"]}}}}
```

## GET /api/v2/pull-requests/repositories/pulls

>

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Pull Requests","description":"Access and Modify Pull Requests"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"PullRequestResult":{"type":"object","properties":{"commentUrl":{"type":"string","description":"Direct URL to the suggestion comment (returned by UpdatePullRequest)"},"pullRequestNumber":{"type":"integer","description":"The number of the Pull Request","format":"int64"},"pullRequestUrl":{"type":"string","description":"The URL of the Pull Request"},"sourceBranch":{"type":"string","description":"The source branch of the Pull Request"}},"required":["sourceBranch","pullRequestNumber","pullRequestUrl"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/pull-requests/repositories/pulls":{"get":{"operationId":"Pull Requests#FindPullRequestByID","parameters":[{"allowEmptyValue":true,"description":"Harness Account ID","in":"query","name":"accountId","required":true,"schema":{"description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Organization ID","in":"query","name":"orgId","schema":{"description":"Harness Organization ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Project ID","in":"query","name":"projectId","schema":{"description":"Harness Project ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"allowEmptyValue":true,"in":"query","name":"provider","required":true,"schema":{"type":"string"}},{"allowEmptyValue":true,"in":"query","name":"repositoryPath","required":true,"schema":{"type":"string"}},{"allowEmptyValue":true,"description":"The number of the pullRequest to retrieve","in":"query","name":"pullRequestNumber","required":true,"schema":{"description":"The number of the pullRequest to retrieve","format":"int64","minimum":1,"type":"integer"}},{"allowEmptyValue":true,"description":"Harness personal or service access token","in":"header","name":"X-Api-Key","schema":{"description":"Harness personal or service access token","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PullRequestResult"}}},"description":"OK response."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"BadRequest: Bad Request response."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Unauthorized: Unauthorized response."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Forbidden: Forbidden response."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"TooManyRequests: Too Many Requests response."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"InternalServerError: Internal Server Error response."}},"tags":["Pull Requests"]}}}}
```

## POST /api/v2/pull-requests/repositories/pulls

> Use AI to augment the remediation steps for this Security Issue

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Pull Requests","description":"Access and Modify Pull Requests"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"CreatePullRequestRequestBody":{"type":"object","properties":{"branch":{"type":"string"},"description":{"type":"string"},"id":{"type":"string","description":"The ID of the Security Issue to create a Pull Request for","pattern":"^[a-zA-Z0-9_-]{22}$"},"occurrenceId":{"type":"integer","format":"int64","minimum":1},"pipelineUrl":{"type":"string"},"remediationCode":{"type":"string"},"remediationCodeEnd":{"type":"integer","format":"int64"},"remediationCodePath":{"type":"string"},"remediationCodeStart":{"type":"integer","format":"int64"},"remediationContext":{"type":"string"},"remediationIndent":{"type":"integer","format":"int64"},"scanId":{"type":"string","description":"The Security Scan execution that detected this Security Issue","pattern":"^[a-zA-Z0-9_-]{22}$"},"vulnerableCode":{"type":"string"}},"required":["pipelineUrl","id","occurrenceId","scanId","vulnerableCode","remediationCode","remediationCodePath","remediationCodeStart","remediationCodeEnd","remediationContext","description","branch"]},"PullRequestResult":{"type":"object","properties":{"commentUrl":{"type":"string","description":"Direct URL to the suggestion comment (returned by UpdatePullRequest)"},"pullRequestNumber":{"type":"integer","description":"The number of the Pull Request","format":"int64"},"pullRequestUrl":{"type":"string","description":"The URL of the Pull Request"},"sourceBranch":{"type":"string","description":"The source branch of the Pull Request"}},"required":["sourceBranch","pullRequestNumber","pullRequestUrl"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/pull-requests/repositories/pulls":{"post":{"description":"Use AI to augment the remediation steps for this Security Issue","operationId":"Pull Requests#CreatePullRequest","parameters":[{"allowEmptyValue":true,"description":"Harness Account ID","in":"query","name":"accountId","required":true,"schema":{"description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Organization ID","in":"query","name":"orgId","schema":{"description":"Harness Organization ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Project ID","in":"query","name":"projectId","schema":{"description":"Harness Project ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"allowEmptyValue":true,"in":"query","name":"provider","required":true,"schema":{"type":"string"}},{"allowEmptyValue":true,"in":"query","name":"repositoryPath","required":true,"schema":{"type":"string"}},{"allowEmptyValue":true,"description":"Harness personal or service access token","in":"header","name":"X-Api-Key","schema":{"description":"Harness personal or service access token","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePullRequestRequestBody"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PullRequestResult"}}},"description":"OK response."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"BadRequest: Bad Request response."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Unauthorized: Unauthorized response."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Forbidden: Forbidden response."},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Conflict: Conflict response."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"TooManyRequests: Too Many Requests response."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"InternalServerError: Internal Server Error response."}},"tags":["Pull Requests"]}}}}
```

## PUT /api/v2/pull-requests/repositories/pulls

> Use AI to augment the remediation steps for this Security Issue

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Pull Requests","description":"Access and Modify Pull Requests"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"UpdatePullRequestRequestBody":{"type":"object","properties":{"id":{"type":"string","description":"The ID of the Security Issue to create a Pull Request for","pattern":"^[a-zA-Z0-9_-]{22}$"},"occurrenceId":{"type":"integer","format":"int64","minimum":1},"pipelineUrl":{"type":"string"},"pullRequestNumber":{"type":"integer","format":"int64","minimum":1},"remediationCode":{"type":"string"},"remediationCodeEnd":{"type":"integer","format":"int64"},"remediationCodePath":{"type":"string"},"remediationCodeStart":{"type":"integer","format":"int64"},"remediationContext":{"type":"string"},"remediationIndent":{"type":"integer","format":"int64"},"scanId":{"type":"string","description":"The Security Scan execution that detected this Security Issue","pattern":"^[a-zA-Z0-9_-]{22}$"},"vulnerableCode":{"type":"string"}},"required":["pipelineUrl","id","occurrenceId","scanId","vulnerableCode","remediationCode","remediationCodePath","remediationCodeStart","remediationCodeEnd","remediationContext","pullRequestNumber"]},"PullRequestResult":{"type":"object","properties":{"commentUrl":{"type":"string","description":"Direct URL to the suggestion comment (returned by UpdatePullRequest)"},"pullRequestNumber":{"type":"integer","description":"The number of the Pull Request","format":"int64"},"pullRequestUrl":{"type":"string","description":"The URL of the Pull Request"},"sourceBranch":{"type":"string","description":"The source branch of the Pull Request"}},"required":["sourceBranch","pullRequestNumber","pullRequestUrl"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/pull-requests/repositories/pulls":{"put":{"description":"Use AI to augment the remediation steps for this Security Issue","operationId":"Pull Requests#UpdatePullRequest","parameters":[{"allowEmptyValue":true,"description":"Harness Account ID","in":"query","name":"accountId","required":true,"schema":{"description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Organization ID","in":"query","name":"orgId","schema":{"description":"Harness Organization ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Project ID","in":"query","name":"projectId","schema":{"description":"Harness Project ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"allowEmptyValue":true,"in":"query","name":"provider","required":true,"schema":{"type":"string"}},{"allowEmptyValue":true,"in":"query","name":"repositoryPath","required":true,"schema":{"type":"string"}},{"allowEmptyValue":true,"description":"Harness personal or service access token","in":"header","name":"X-Api-Key","schema":{"description":"Harness personal or service access token","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePullRequestRequestBody"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PullRequestResult"}}},"description":"OK response."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"BadRequest: Bad Request response."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Unauthorized: Unauthorized response."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Forbidden: Forbidden response."},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Conflict: Conflict response."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"TooManyRequests: Too Many Requests response."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"InternalServerError: Internal Server Error response."}},"tags":["Pull Requests"]}}}}
```

## GET /api/v2/pull-requests/repositories/pulls/action

> Determine the PR action to display for a specific occurrence (create, suggestFix, display, or none).

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Pull Requests","description":"Access and Modify Pull Requests"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"PullRequestsGetPullRequestActionResponseBody":{"$ref":"#/components/schemas/PullRequestActionResult"},"PullRequestActionResult":{"type":"object","properties":{"action":{"type":"string","description":"The PR action to display: create, suggestFix, display, or none","enum":["create","suggestFix","display","none"]},"commentUrl":{"type":"string","description":"Direct URL to the suggestion comment (for display action after suggestFix)"},"disabled":{"type":"boolean","description":"If true, the action button should be shown but disabled"},"disabledReason":{"type":"string","description":"Reason the action is disabled (e.g., missing targetBranch)"},"pullRequestNumber":{"type":"integer","description":"The PR number (for display or suggestFix actions)","format":"int64"},"pullRequestUrl":{"type":"string","description":"The full URL of the PR (for display action)"},"remediationCodeEnd":{"type":"integer","description":"End line of the vulnerable code in the file","format":"int64"},"remediationCodePath":{"type":"string","description":"The file path for the remediation code, resolved from the occurrence"},"remediationCodeStart":{"type":"integer","description":"Start line of the vulnerable code in the file","format":"int64"},"remediationIndent":{"type":"integer","description":"Column indentation of the vulnerable code","format":"int64"},"targetBranch":{"type":"string","description":"The target branch for PR creation"}},"required":["action"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/pull-requests/repositories/pulls/action":{"get":{"description":"Determine the PR action to display for a specific occurrence (create, suggestFix, display, or none).","operationId":"Pull Requests#GetPullRequestAction","parameters":[{"allowEmptyValue":true,"description":"Harness Account ID","in":"query","name":"accountId","required":true,"schema":{"description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Organization ID","in":"query","name":"orgId","schema":{"description":"Harness Organization ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Project ID","in":"query","name":"projectId","schema":{"description":"Harness Project ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"allowEmptyValue":true,"description":"Git provider (optional for action query — returns none with reason if empty)","in":"query","name":"provider","schema":{"description":"Git provider (optional for action query — returns none with reason if empty)","type":"string"}},{"allowEmptyValue":true,"description":"Repository path (optional for action query — returns none with reason if empty)","in":"query","name":"repositoryPath","schema":{"description":"Repository path (optional for action query — returns none with reason if empty)","type":"string"}},{"allowEmptyValue":true,"description":"The ID of the Security Issue","in":"query","name":"id","required":true,"schema":{"description":"The ID of the Security Issue","pattern":"^[a-zA-Z0-9_-]{22}$","type":"string"}},{"allowEmptyValue":true,"description":"The internal ID of the occurrence to evaluate","in":"query","name":"occurrenceId","required":true,"schema":{"description":"The internal ID of the occurrence to evaluate","format":"int64","minimum":1,"type":"integer"}},{"allowEmptyValue":true,"description":"The Security Scan execution that detected this Security Issue","in":"query","name":"scanId","required":true,"schema":{"description":"The Security Scan execution that detected this Security Issue","pattern":"^[a-zA-Z0-9_-]{22}$","type":"string"}},{"allowEmptyValue":true,"description":"Harness personal or service access token","in":"header","name":"X-Api-Key","schema":{"description":"Harness personal or service access token","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PullRequestsGetPullRequestActionResponseBody"}}},"description":"OK response."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"BadRequest: Bad Request response."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Unauthorized: Unauthorized response."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Forbidden: Forbidden response."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"TooManyRequests: Too Many Requests response."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"InternalServerError: Internal Server Error response."}},"tags":["Pull Requests"]}}}}
```

## GetPullRequestCorrelation Pull Requests

> Determine if a path is correlated to a Pull Request.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Pull Requests","description":"Access and Modify Pull Requests"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"PullRequestsGetPullRequestCorrelationResponseBody":{"$ref":"#/components/schemas/PullRequestCorrelationResult"},"PullRequestCorrelationResult":{"type":"object","properties":{"isCorrelated":{"type":"boolean","description":"True if the path is correlated to the Pull Request"}},"required":["isCorrelated"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/pull-requests/repositories/pulls/correlation":{"get":{"description":"Determine if a path is correlated to a Pull Request.","operationId":"Pull Requests#GetPullRequestCorrelation","parameters":[{"allowEmptyValue":true,"description":"Harness Account ID","in":"query","name":"accountId","required":true,"schema":{"description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Organization ID","in":"query","name":"orgId","schema":{"description":"Harness Organization ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Project ID","in":"query","name":"projectId","schema":{"description":"Harness Project ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"allowEmptyValue":true,"in":"query","name":"provider","required":true,"schema":{"type":"string"}},{"allowEmptyValue":true,"in":"query","name":"repositoryPath","required":true,"schema":{"type":"string"}},{"allowEmptyValue":true,"in":"query","name":"pullRequestNumber","required":true,"schema":{"format":"int64","minimum":1,"type":"integer"}},{"allowEmptyValue":true,"in":"query","name":"codePath","required":true,"schema":{"type":"string"}},{"allowEmptyValue":true,"description":"Harness personal or service access token","in":"header","name":"X-Api-Key","schema":{"description":"Harness personal or service access token","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PullRequestsGetPullRequestCorrelationResponseBody"}}},"description":"OK response."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"BadRequest: Bad Request response."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Unauthorized: Unauthorized response."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Forbidden: Forbidden response."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"TooManyRequests: Too Many Requests response."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"InternalServerError: Internal Server Error response."}},"summary":"GetPullRequestCorrelation Pull Requests","tags":["Pull Requests"]}}}}
```
